Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.office
Enum OdfConversionModeType

    java.lang.Object
      java.lang.Enum<OdfConversionModeType>
          org.odftoolkit.odfdom.dom.type.office.OdfConversionModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfConversionModeType>

    public enum OdfConversionModeType

extends Enum<OdfConversionModeType>

DOM implementation of OpenDocument attribute office:conversion-mode.

Enum Constant Summary
`INTO_DEFAULT_STYLE_DATA_STYLE`
`INTO_ENGLISH_NUMBER`
`KEEP_TEXT`

Method Summary
`static OdfConversionModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfConversionModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfConversionModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfConversionModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTO_ENGLISH_NUMBER

    public static final OdfConversionModeType INTO_ENGLISH_NUMBER

### KEEP_TEXT

    public static final OdfConversionModeType KEEP_TEXT

### INTO_DEFAULT_STYLE_DATA_STYLE

    public static final OdfConversionModeType INTO_DEFAULT_STYLE_DATA_STYLE

Method Detail

### values

    public static OdfConversionModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfConversionModeType c : OdfConversionModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfConversionModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfConversionModeType>`
  Returns:
    return the name of OdfConversionModeType

### toString

    public static String toString(OdfConversionModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfConversionModeType, see office:conversion-mode
  Returns:
    return the name of OdfConversionModeType

### enumValueOf

    public static OdfConversionModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfConversionModeType
  Returns:
    return the constant of OdfConversionModeType, see office:conversion-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.